Subject: Re: bug#22301: 25.1.50; Emacs crashes while lisp debugging

From: Eli Zaretskii <[email-masked]>
Date: Tue, 05 Jan 2016 18:00:31 +0200

> From: Vincent Belaïche <[email-masked]>
> Cc: Vincent Belaïche <[email-masked]> ,
>  [email-masked]
> Date: Tue, 05 Jan 2016 08:17:17 +0100
> 
> Something I had forgotten to tell you: I think that I have compiled this
> Emacs with Mingw-w64 --- well I am not 100% sure now because at some
> point of time I had problems with Minfw-64 (see
> https://sourceforge.net/p/mingw-w64/bugs/519/) and I have re-installed
> the 32 bit version (both coexist now on my machine and I select the one
> in use by editing the fstab file).
> 
> Anyway, I still don't get the debugger prompt, neither Ctrl-C (well C-Q
> C-C because I am running it from Emacs), nor F-12 do anything. However,
> if I do:
> 
>   M-x signal-process RET
>   shell RET
>   3 RET
> 
> then something happens with the debugger, I did it several times, I
> still don't get the prompt, but there is that sort of output:
> 
>   Program received signal SIGTRAP, Trace/breakpoint trap
> 
> So below, I copied the full gdb session with these. Please make me know
> whether this session is ruined or not.

You can close this session.  It cannot help us more than it already
did.  I hope we will have more information next time this happens,
using the commands I've shown.

Thanks.